Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001692Frama-CPlug-in > E-ACSLpublic2014-03-13 15:442014-09-15 17:20
Reportersignoles 
Assigned Tosignoles 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformAMD 64OSLinuxOS VersionUbuntu
Product VersionFrama-C Neon-20140301 
Target VersionFixed in VersionFrama-C Neon-20140301 
Summary0001692: Wrong localisation of not yet supported constructs
Description===== t.c =====
int main(void) {
  //@ assert 2 >> 2 == 0;
  return 1;
}
===========

$ frama-c -e-acsl t.c
t.c:1:[e-acsl] warning: E-ACSL construct `left/right shift' is not yet supported.
                  Ignoring annotation.

The warning should be located at line 2, not at line 1.
Additional InformationReported by P.-L. Garoche on Frama-C discuss.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005464)
signoles (manager)
2014-09-15 17:20

Fixed in E-ACSL v0.4.1.

- Issue History
Date Modified Username Field Change
2014-03-13 15:44 signoles New Issue
2014-03-13 15:44 signoles Status new => assigned
2014-03-13 15:44 signoles Assigned To => signoles
2014-03-13 15:44 signoles Status assigned => confirmed
2014-03-26 18:46 signoles Status confirmed => resolved
2014-03-26 18:46 signoles Resolution open => fixed
2014-09-15 17:20 signoles Fixed in Version => Frama-C Neon-20140301
2014-09-15 17:20 signoles Note Added: 0005464
2014-09-15 17:20 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker